﻿#vaulteron-open-save-entered-password-popup-id {
	background: white;
	padding: 1em;
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	box-shadow: 0 0 20px 5px #5c5c5cc7;
	margin: 2rem;
	margin-top: 0;

	&.visible {
		visibility: visible !important;
	}

	.vaulteron-modal-header {
		margin-bottom: 0;

		.vaulteron-heading {
			font-size: 1em;
			font-weight: normal;
			margin: .5em;
		}

		.vaulteron-logo {
			svg {
				height: 20px;
				width: 20px;
			}
		}
	}

	.vaulteron-open-save-entered-password-popup-container {
		.vaulteron-modal-content {

			.text {
				margin: .5em 0;
				font-size: 1.2em;
				font-weight: bold;
			}

			.mui-textfield {
				margin-bottom: 0;
			}

			.mui-row {
				display: flex;
				margin-bottom: 10px;
			}

			.mui-select {
				margin-bottom: 0;
			}

			.data-container {
				display: flex;
				flex-direction: column;

				.column {
					display: flex;
					align-items: center;
					justify-content: center;

					&.column-data {
						flex: 1;
						flex-direction: column;
						align-items: flex-start;
					}

					.icon-left {
						height: 25px;
						width: 25px;
					}

					.favicon {
						height: 40px;
						width: 40px;
					}

					.username-text {
						font-size: 1em;
					}

					.url-text {
						font-size: .8em;
					}

					.edit-icon {
						height: 30px;
						width: 30px;
						cursor: pointer;
					}
				}

				.type-select-container {
					margin-top: 1em;
				}
			}

			.edit-container {
				display: none;

				&.visible {
					display: flex;
					flex-direction: column;
				}

				input {
					display: block;
					width: 100%;
				}
			}

			.buttons {
				display: flex;
				justify-content: space-between;
				margin-top: 1em;
			}
		}
	}
}
